Bug 269227 - Amarok crashed after unminimizing from taskbar
Summary: Amarok crashed after unminimizing from taskbar
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 2.4.0.90
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: 2.4.1
Assignee: Amarok Developers
URL:
Keywords:
: 268851 270229 274446 274856 275980 278072 279069 283158 284762 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-03-23 13:40 UTC by Vasco
Modified: 2011-10-24 11:10 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In: 2.5


Attachments
New crash information added by DrKonqi (27.50 KB, text/plain)
2011-07-12 15:01 UTC, Janík Tománek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vasco 2011-03-23 13:40:29 UTC
Application: amarok (2.4.0.90)
KDE Platform Version: 4.6.1 (4.6.1) "release 390"
Qt Version: 4.7.2
Operating System: Linux 2.6.37.1-1.2-desktop i686
Distribution: "openSUSE 11.4 Milestone 2 of 6 (i586)"

-- Information about the crash:
- What I was doing when the application crashed:

I clicked on the trayicon to unminimize amarok from the taskbar.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb18929e0 (LWP 2624))]

Thread 17 (Thread 0xaa324b70 (LWP 2641)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaeecc7b3 in vlc_cond_wait () from /usr/lib/libvlccore.so.4
#4  0xaee41176 in ?? () from /usr/lib/libvlccore.so.4
#5  0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#6  0xb54d4d5e in clone () from /lib/libc.so.6

Thread 16 (Thread 0xa9739b70 (LWP 2645)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9a97dc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa9a96863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa9a52a70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa9ad4b90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#8  0xb54d4d5e in clone () from /lib/libc.so.6

Thread 15 (Thread 0xa7471b70 (LWP 2646)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9a97dc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa9a96863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa9a52a70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa9ad4b90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#8  0xb54d4d5e in clone () from /lib/libc.so.6

Thread 14 (Thread 0xa6c70b70 (LWP 2647)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9a97dc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa9a96863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa9a52a70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa9ad4b90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#8  0xb54d4d5e in clone () from /lib/libc.so.6

Thread 13 (Thread 0xa646fb70 (LWP 2648)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9a97dc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa9a96863 in os_aio_simulated_handle () from /usr/lib/libmysqld.so.0
#5  0xa9a52a70 in fil_aio_wait () from /usr/lib/libmysqld.so.0
#6  0xa9ad4b90 in ?? () from /usr/lib/libmysqld.so.0
#7  0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#8  0xb54d4d5e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xa5066b70 (LWP 2650)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb54cd9b1 in select () from /lib/libc.so.6
#2  0xa9a9871b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa9ad36bc in srv_lock_timeout_thread () from /usr/lib/libmysqld.so.0
#4  0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#5  0xb54d4d5e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xa4865b70 (LWP 2651)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb54cd9b1 in select () from /lib/libc.so.6
#2  0xa9a9871b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa9ad39fe in srv_error_monitor_thread () from /usr/lib/libmysqld.so.0
#4  0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#5  0xb54d4d5e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa4064b70 (LWP 2652)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb54cd9b1 in select () from /lib/libc.so.6
#2  0xa9a9871b in os_thread_sleep () from /usr/lib/libmysqld.so.0
#3  0xa9ad3240 in srv_monitor_thread () from /usr/lib/libmysqld.so.0
#4  0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#5  0xb54d4d5e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xa3863b70 (LWP 2653)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xa9a97dc6 in os_event_wait_low () from /usr/lib/libmysqld.so.0
#4  0xa9ad40a3 in srv_master_thread () from /usr/lib/libmysqld.so.0
#5  0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#6  0xb54d4d5e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa3062b70 (LWP 2654)):
#0  0xb62c4aca in postEventSourceCheck (source=0x8938e30) at kernel/qeventdispatcher_glib.cpp:271
#1  0xb411e180 in g_main_context_check () from /lib/libglib-2.0.so.0
#2  0xb411eac8 in ?? () from /lib/libglib-2.0.so.0
#3  0xb411efce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0xb62c4fc7 in QEventDispatcherGlib::processEvents (this=0x8938bf0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#5  0xb6295a6d in QEventLoop::processEvents (this=0xa30622b0, flags=...) at kernel/qeventloop.cpp:149
#6  0xb6295c99 in QEventLoop::exec (this=0xa30622b0, flags=...) at kernel/qeventloop.cpp:201
#7  0xb6196d49 in QThread::exec (this=0x890e948) at thread/qthread.cpp:492
#8  0xb62757fd in QInotifyFileSystemWatcherEngine::run (this=0x890e948) at io/qfilesystemwatcher_inotify.cpp:248
#9  0xb6199993 in QThreadPrivate::start (arg=0x890e948) at thread/qthread_unix.cpp:320
#10 0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#11 0xb54d4d5e in clone () from /lib/libc.so.6

Thread 7 (Thread 0xa0ccab70 (LWP 2681)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb4674ed7 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0xb478b1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0xb4674f1f in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0xb478b1a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#6  0xb54d4d5e in clone () from /lib/libc.so.6

Thread 6 (Thread 0x9c5b7b70 (LWP 2787)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb619a080 in wait (this=0x8f62e30, mutex=0x8f68310, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8f62e30, mutex=0x8f68310, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4d18056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8f62e18, th=0x8e6c4b8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4d1b7a7 in waitForAvailableJob (this=0x8e5b918, th=0x8e6c4b8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x8e5b918, th=0x8e6c4b8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4d17a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8f62e18, th=0x8e6c4b8, previous=0x9735fb0) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4d18564 in ThreadWeaver::ThreadRunHelper::run (this=0x9c5b7314, parent=0x8f62e18, th=0x8e6c4b8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#10 0xb4d1861a in ThreadWeaver::Thread::run (this=0x8e6c4b8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#11 0xb6199993 in QThreadPrivate::start (arg=0x8e6c4b8) at thread/qthread_unix.cpp:320
#12 0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#13 0xb54d4d5e in clone () from /lib/libc.so.6

Thread 5 (Thread 0x9bdb6b70 (LWP 2788)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb619a080 in wait (this=0x8f62e30, mutex=0x8f68310, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8f62e30, mutex=0x8f68310, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4d18056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8f62e18, th=0x8f543e8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4d1b7a7 in waitForAvailableJob (this=0x8e5b918, th=0x8f543e8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x8e5b918, th=0x8f543e8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4d17a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8f62e18, th=0x8f543e8, previous=0x0) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4d1b7c3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8e5b918, th=0x8f543e8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb4d17a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8f62e18, th=0x8f543e8, previous=0x0) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb4d1b7c3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8e5b918, th=0x8f543e8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0xb4d17a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8f62e18, th=0x8f543e8, previous=0x8aca038) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#13 0xb4d18564 in ThreadWeaver::ThreadRunHelper::run (this=0x9bdb6314, parent=0x8f62e18, th=0x8f543e8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#14 0xb4d1861a in ThreadWeaver::Thread::run (this=0x8f543e8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#15 0xb6199993 in QThreadPrivate::start (arg=0x8f543e8) at thread/qthread_unix.cpp:320
#16 0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#17 0xb54d4d5e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x9b5b5b70 (LWP 2789)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb619a080 in wait (this=0x8f62e30, mutex=0x8f68310, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8f62e30, mutex=0x8f68310, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4d18056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8f62e18, th=0x8f20298) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4d1b7a7 in waitForAvailableJob (this=0x8e5b918, th=0x8f20298) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x8e5b918, th=0x8f20298) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4d17a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8f62e18, th=0x8f20298, previous=0x0) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4d1b7c3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8e5b918, th=0x8f20298) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb4d17a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8f62e18, th=0x8f20298, previous=0x0) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb4d1b7c3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8e5b918, th=0x8f20298) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0xb4d17a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8f62e18, th=0x8f20298, previous=0x0) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#13 0xb4d1b7c3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8e5b918, th=0x8f20298) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#14 0xb4d17a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8f62e18, th=0x8f20298, previous=0x97de1d8) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#15 0xb4d18564 in ThreadWeaver::ThreadRunHelper::run (this=0x9b5b5314, parent=0x8f62e18, th=0x8f20298) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#16 0xb4d1861a in ThreadWeaver::Thread::run (this=0x8f20298) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#17 0xb6199993 in QThreadPrivate::start (arg=0x8f20298) at thread/qthread_unix.cpp:320
#18 0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#19 0xb54d4d5e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x9ad4db70 (LWP 2793)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb619a080 in wait (this=0x8f62e30, mutex=0x8f68310, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8f62e30, mutex=0x8f68310, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4d18056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8f62e18, th=0x9135208) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4d1b7a7 in waitForAvailableJob (this=0x8e5b918, th=0x9135208) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x8e5b918, th=0x9135208) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4d17a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8f62e18, th=0x9135208, previous=0x0) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4d1b7c3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8e5b918, th=0x9135208) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb4d17a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8f62e18, th=0x9135208, previous=0x89a4498) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb4d18564 in ThreadWeaver::ThreadRunHelper::run (this=0x9ad4d314, parent=0x8f62e18, th=0x9135208) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:87
#12 0xb4d1861a in ThreadWeaver::Thread::run (this=0x9135208) at /usr/src/debug/kdelibs-4.6.1/threadweaver/Weaver/Thread.cpp:142
#13 0xb6199993 in QThreadPrivate::start (arg=0x9135208) at thread/qthread_unix.cpp:320
#14 0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#15 0xb54d4d5e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x9a1ffb70 (LWP 2802)):
#0  0xffffe424 in __kernel_vsyscall ()
#1  0xb50a9105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0xb54e2aec in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb372ce17 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb50a4b05 in start_thread () from /lib/libpthread.so.0
#5  0xb54d4d5e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb18929e0 (LWP 2624)):
[KCrash Handler]
#7  QGraphicsItem::parentItem (this=0x93f2cc0) at graphicsview/qgraphicsitem.cpp:1563
#8  0xb5e1c002 in QGraphicsItem::topLevelItem (this=0x97ed3d8) at graphicsview/qgraphicsitem.cpp:1577
#9  0xb5e6fa5d in QGraphicsSceneFindItemBspTreeVisitor::visit (this=0x9065b58, items=0x933f2b4) at graphicsview/qgraphicsscene_bsp.cpp:80
#10 0xb5e6e799 in QGraphicsSceneBspTree::climbTree (this=0x9073488, visitor=0x9065b58, rect=..., index=21) at graphicsview/qgraphicsscene_bsp.cpp:247
#11 0xb5e6e7ce in QGraphicsSceneBspTree::climbTree (this=0x9073488, visitor=0x9065b58, rect=..., index=1) at graphicsview/qgraphicsscene_bsp.cpp:252
#12 0xb5e6e818 in QGraphicsSceneBspTree::climbTree (this=0x9073488, visitor=0x9065b58, rect=..., index=0) at graphicsview/qgraphicsscene_bsp.cpp:261
#13 0xb5e6f003 in QGraphicsSceneBspTree::items (this=0x9073488, rect=..., onlyTopLevelItems=true) at graphicsview/qgraphicsscene_bsp.cpp:154
#14 0xb5e71c15 in QGraphicsSceneBspTreeIndexPrivate::estimateItems (this=0x9073428, rect=..., order=Qt::AscendingOrder, onlyTopLevelItems=true) at graphicsview/qgraphicsscenebsptreeindex.cpp:387
#15 0xb5e71e43 in QGraphicsSceneBspTreeIndex::estimateTopLevelItems (this=0x9065818, rect=..., order=Qt::AscendingOrder) at graphicsview/qgraphicsscenebsptreeindex.cpp:540
#16 0xb5e64a64 in QGraphicsScenePrivate::drawItems (this=0x9073230, painter=0xbf871714, viewTransform=0x0, exposedRegion=0x90b5b80, widget=0x90b1120) at graphicsview/qgraphicsscene.cpp:4733
#17 0xb5e859be in QGraphicsView::paintEvent (this=0x89f8b70, event=0x10) at graphicsview/qgraphicsview.cpp:3469
#18 0xb5815b4a in QWidget::event (this=0x89f8b70, event=0xbf871dd4) at kernel/qwidget.cpp:8405
#19 0xb5c250f5 in QFrame::event (this=0x89f8b70, e=0xbf871dd4) at widgets/qframe.cpp:557
#20 0xb5cb6b91 in QAbstractScrollArea::viewportEvent (this=0x89f8b70, e=0xbf871dd4) at widgets/qabstractscrollarea.cpp:1043
#21 0xb5e86ddc in QGraphicsView::viewportEvent (this=0x89f8b70, event=0xbf871dd4) at graphicsview/qgraphicsview.cpp:2864
#22 0xb5cb9486 in viewportEvent (this=0x90af148, o=0x90b1120, e=0xbf871dd4) at widgets/qabstractscrollarea_p.h:100
#23 QAbstractScrollAreaFilter::eventFilter (this=0x90af148, o=0x90b1120, e=0xbf871dd4) at widgets/qabstractscrollarea_p.h:116
#24 0xb6296926 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x8166a78, receiver=0x90b1120, event=0xbf871dd4) at kernel/qcoreapplication.cpp:846
#25 0xb57ba654 in QApplicationPrivate::notify_helper (this=0x8166a78, receiver=0x90b1120, e=0xbf871dd4) at kernel/qapplication.cpp:4458
#26 0xb57c34d4 in QApplication::notify (this=0xbf873800, receiver=0x90b1120, e=0xbf871dd4) at kernel/qapplication.cpp:4341
#27 0xb745e591 in KApplication::notify (this=0xbf873800, receiver=0x90b1120, event=0xbf871dd4) at /usr/src/debug/kdelibs-4.6.1/kdeui/kernel/kapplication.cpp:311
#28 0xb629678e in QCoreApplication::notifyInternal (this=0xbf873800, receiver=0x90b1120, event=0xbf871dd4) at kernel/qcoreapplication.cpp:731
#29 0xb58127e2 in sendSpontaneousEvent (this=0x90b1138, pdev=0x8a19814, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x81f4e50) at ../../src/corelib/kernel/qcoreapplication.h:218
#30 QWidgetPrivate::drawWidget (this=0x90b1138, pdev=0x8a19814, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x81f4e50) at kernel/qwidget.cpp:5492
#31 0xb5813537 in QWidgetPrivate::paintSiblingsRecursive (this=0x90b5830, pdev=0x8a19814, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x81f4e50) at kernel/qwidget.cpp:5699
#32 0xb5812538 in QWidgetPrivate::drawWidget (this=0x90b5830, pdev=0x8a19814, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x81f4e50) at kernel/qwidget.cpp:5545
#33 0xb5813537 in QWidgetPrivate::paintSiblingsRecursive (this=0x9072bc0, pdev=0x8a19814, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x81f4e50) at kernel/qwidget.cpp:5699
#34 0xb58133fd in QWidgetPrivate::paintSiblingsRecursive (this=0x9072bc0, pdev=0x8a19814, siblings=..., index=1, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x81f4e50) at kernel/qwidget.cpp:5686
#35 0xb5812538 in QWidgetPrivate::drawWidget (this=0x9072bc0, pdev=0x8a19814, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x81f4e50) at kernel/qwidget.cpp:5545
#36 0xb5813537 in QWidgetPrivate::paintSiblingsRecursive (this=0x8ae2720, pdev=0x8a19814, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x81f4e50) at kernel/qwidget.cpp:5699
#37 0xb5812538 in QWidgetPrivate::drawWidget (this=0x8ae2720, pdev=0x8a19814, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x81f4e50) at kernel/qwidget.cpp:5545
#38 0xb5813537 in QWidgetPrivate::paintSiblingsRecursive (this=0x84c9360, pdev=0x8a19814, siblings=..., index=<value optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x81f4e50) at kernel/qwidget.cpp:5699
#39 0xb58133fd in QWidgetPrivate::paintSiblingsRecursive (this=0x84c9360, pdev=0x8a19814, siblings=..., index=64, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x81f4e50) at kernel/qwidget.cpp:5686
#40 0xb5812538 in QWidgetPrivate::drawWidget (this=0x84c9360, pdev=0x8a19814, rgn=..., offset=..., flags=5, sharedPainter=0x0, backingStore=0x81f4e50) at kernel/qwidget.cpp:5545
#41 0xb5a01198 in QWidgetBackingStore::sync (this=0x81f4e50) at painting/qbackingstore.cpp:1333
#42 0xb5a014f5 in QWidgetBackingStore::sync (this=0x81f4e50, exposedWidget=0x816b308, exposedRegion=...) at painting/qbackingstore.cpp:1130
#43 0xb5807384 in QWidgetPrivate::syncBackingStore (this=0x84c9360, region=...) at kernel/qwidget.cpp:1857
#44 0xb584561c in QETWidget::translatePaintEvent (this=0x816b308, event=0xbf8734bc) at kernel/qapplication_x11.cpp:5175
#45 0xb5846470 in QApplication::x11ProcessEvent (this=0xbf873800, event=0xbf8734bc) at kernel/qapplication_x11.cpp:3487
#46 0xb58715e0 in x11EventSourceDispatch (s=0x8166088, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#47 0xb411e509 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#48 0xb411ed10 in ?? () from /lib/libglib-2.0.so.0
#49 0xb411efce in g_main_context_iteration () from /lib/libglib-2.0.so.0
#50 0xb62c4f7b in QEventDispatcherGlib::processEvents (this=0x8067f18, flags=...) at kernel/qeventdispatcher_glib.cpp:422
#51 0xb58711da in QGuiEventDispatcherGlib::processEvents (this=0x8067f18, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#52 0xb6295a6d in QEventLoop::processEvents (this=0xbf873774, flags=...) at kernel/qeventloop.cpp:149
#53 0xb6295c99 in QEventLoop::exec (this=0xbf873774, flags=...) at kernel/qeventloop.cpp:201
#54 0xb629a740 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#55 0xb57b83d4 in QApplication::exec () at kernel/qapplication.cpp:3736
#56 0x08050e25 in main (argc=) at /usr/src/debug/amarok-2.4.0.90/src/main.cpp:288

Possible duplicates by query: bug 210245.

Reported using DrKonqi
Comment 1 Myriam Schweingruber 2011-03-23 22:48:05 UTC
The problem is with Qt, which Qt version is your Amarok compiled with? This bug is rather old and should have been fixed with Qt 4.6.1, see also bug 207382
Comment 2 Myriam Schweingruber 2011-03-23 22:49:45 UTC
Setting status correctly
Comment 3 Vasco 2011-03-24 13:05:32 UTC
Hello Myriam,

this chrash/comment is related to my former Dr. Konqui report shown on:
[1] https://bugs.kde.org/show_bug.cgi?id=266746

In [1] you wrote:
>> Feel free to reopen this report if you can
>> reproduce this crash with Amarok 2.4.0.90 or later and provide a valid
>> backtrace.

Doing as suggested leads us to this bugreport. 

You asked:
>> The problem is with Qt, which Qt version is your Amarok compiled with? 

Answer: 
4.7.2 I think. 


# rpm -q -R amarok 

(output abridged to increase readability)
...

qt4-qtscript  
taglib >= 1.6
libtag-extras1 >= 1.0
kdebase4-runtime >= 4.6.1
libqt4-x11 >= 4.7.2
/sbin/ldconfig  
...

libQtCore.so.4  
libQtDBus.so.4  
libQtGui.so.4  
libQtNetwork.so.4  
libQtScript.so.4  
libQtSql.so.4  
libQtSvg.so.4  
libQtWebKit.so.4  
libQtXml.so.4  
libX11.so.6  

Let me know if I can help by providing further information.
Thanks for caring.
Comment 4 Myriam Schweingruber 2011-03-24 19:45:09 UTC
Thank you for the information. This is a problem with Qt, I strongly suggest you report this upstream or at least to your distribution.
Comment 5 Myriam Schweingruber 2011-04-07 10:59:18 UTC
*** Bug 270229 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2011-04-07 10:59:37 UTC
*** Bug 268851 has been marked as a duplicate of this bug. ***
Comment 7 Alex Busenius 2011-04-10 11:50:03 UTC
I'm suffering from the same bug, I have reported the problem to Qt here:

http://bugreports.qt.nokia.com/browse/QTBUG-18021

I think it would help if other people who can reproduce this would comment/vote there.

Also, they are asking for a Qt-only example, so if somebody has the knowledge and time to make it, please do so.
Comment 8 Myriam Schweingruber 2011-05-29 23:46:08 UTC
*** Bug 274446 has been marked as a duplicate of this bug. ***
Comment 9 Myriam Schweingruber 2011-06-03 21:13:39 UTC
*** Bug 274856 has been marked as a duplicate of this bug. ***
Comment 10 Myriam Schweingruber 2011-06-19 14:33:51 UTC
*** Bug 275980 has been marked as a duplicate of this bug. ***
Comment 11 Janík Tománek 2011-07-12 15:01:27 UTC
Created attachment 61810 [details]
New crash information added by DrKonqi

amarok (2.4.1) on KDE Platform 4.6.5 (4.6.5) "release 8" using Qt 4.7.3

- What I was doing when the application crashed:
OK, so where should I report this bug? (blah blah blah, stupid limit)
- Unusual behavior I noticed:

- Custom settings of the application:

-- Backtrace (Reduced):
#6  QGraphicsSceneFindItemBspTreeVisitor::visit (this=0x2828360, items=0x2e8fd60) at graphicsview/qgraphicsscene_bsp.cpp:79
#7  0x00007f33cabcf640 in QGraphicsSceneBspTree::climbTree (this=0x2828220, visitor=0x2828360, rect=..., index=<value optimized out>) at graphicsview/qgraphicsscene_bsp.cpp:252
#8  0x00007f33cabcf640 in QGraphicsSceneBspTree::climbTree (this=0x2828220, visitor=0x2828360, rect=..., index=<value optimized out>) at graphicsview/qgraphicsscene_bsp.cpp:252
#9  0x00007f33cabcf5a0 in QGraphicsSceneBspTree::climbTree (this=0x2828220, visitor=0x2828360, rect=..., index=<value optimized out>) at graphicsview/qgraphicsscene_bsp.cpp:261
#10 0x00007f33cabcf640 in QGraphicsSceneBspTree::climbTree (this=0x2828220, visitor=0x2828360, rect=..., index=<value optimized out>) at graphicsview/qgraphicsscene_bsp.cpp:252
Comment 12 Yaroslav Sidlovsky 2011-07-19 09:38:43 UTC
*** Bug 278072 has been marked as a duplicate of this bug. ***
Comment 13 Myriam Schweingruber 2011-08-02 07:53:40 UTC
*** Bug 279069 has been marked as a duplicate of this bug. ***
Comment 14 Daniel Faust 2011-08-08 14:14:09 UTC
Git commit 30f670f11a130e1bd9a7eb60865dc4f67431ecd9 by Daniel Faust.
Committed on 08/08/2011 at 16:10.
Pushed by dfaust into branch 'master'.

Use QGraphicsScene::NoIndex instead of QGraphicsScene::BspTreeIndex (avoid Qt bug crashing amarok)

BUG: 207382
BUG: 269227
FIXED-IN: 2.4.4

M  +2    -1    src/context/ContextView.cpp
M  +1    -0    ChangeLog

http://commits.kde.org/amarok/30f670f11a130e1bd9a7eb60865dc4f67431ecd9
Comment 15 Vasco 2011-09-02 12:28:29 UTC
The problem seems to be related to moodbar.
I did not experience the crash anymore since I deactivated moodbar a few days ago.
Comment 16 Myriam Schweingruber 2011-10-03 20:29:47 UTC
*** Bug 283158 has been marked as a duplicate of this bug. ***
Comment 17 Myriam Schweingruber 2011-10-24 11:10:28 UTC
*** Bug 284762 has been marked as a duplicate of this bug. ***